org.eclipse.january.dataset

## Class ComplexFloatDataset

- java.lang.Object
- - org.eclipse.january.dataset.LazyDatasetBase
  - - org.eclipse.january.dataset.AbstractDataset
    - - org.eclipse.january.dataset.AbstractCompoundDataset
      - - org.eclipse.january.dataset.CompoundFloatDataset
        - - org.eclipse.january.dataset.ComplexFloatDataset

- All Implemented Interfaces:
    Serializable, CompoundDataset, Dataset, IDataset, ILazyDataset, IMetadataProvider, INameable

      public class ComplexFloatDataset
      extends CompoundFloatDataset

  Extend compound dataset to hold complex float values // PRIM_TYPE
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.january.dataset.CompoundFloatDataset

      `data`

    - ### Fields inherited from class org.eclipse.january.dataset.AbstractCompoundDataset

      `isize`

    - ### Fields inherited from class org.eclipse.january.dataset.AbstractDataset

      `base, BLOCK_CLOSE, BLOCK_OPEN, ELLIPSIS, odata, offset, size, stride, stringFormat`

    - ### Fields inherited from class org.eclipse.january.dataset.LazyDatasetBase

      `metadata, name, shape`

    - ### Fields inherited from interface org.eclipse.january.dataset.Dataset

      `ARRAYFLOAT32, ARRAYFLOAT64, ARRAYINT16, ARRAYINT32, ARRAYINT64, ARRAYINT8, ARRAYMUL, BOOL, COMPLEX, COMPLEX128, COMPLEX64, DATE, FLOAT, FLOAT32, FLOAT64, INT, INT16, INT32, INT64, INT8, OBJECT, RGB, RGB8, STRING`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComplexFloatDataset` | `clone()` Clone dataset
    `ComplexFloatDataset` | `fill(Object obj)` Fill dataset with given object
    `org.apache.commons.math3.complex.Complex` | `get()`
    `org.apache.commons.math3.complex.Complex` | `get(int... pos)`
    `org.apache.commons.math3.complex.Complex` | `get(int i)`
    `org.apache.commons.math3.complex.Complex` | `get(int i, int j)`
    `org.apache.commons.math3.complex.Complex` | `getComplex()`
    `org.apache.commons.math3.complex.Complex` | `getComplex(int... pos)`
    `org.apache.commons.math3.complex.Complex` | `getComplex(int i)`
    `org.apache.commons.math3.complex.Complex` | `getComplex(int i, int j)`
    `org.apache.commons.math3.complex.Complex` | `getComplexAbs(int index)` Get complex value at absolute index in the internal array.
    `float` | `getImag()`
    `float` | `getImag(int... pos)`
    `float` | `getImag(int i)`
    `float` | `getImag(int i, int j)`
    `FloatDataset` | `getImaginaryPart()`
    `FloatDataset` | `getImaginaryView()`
    `Object` | `getObject()` Get first item as an object.
    `Object` | `getObject(int... pos)`
    `Object` | `getObject(int i)` Get an item from given position as an object.
    `Object` | `getObject(int i, int j)` Get an item from given position as an object.
    `Object` | `getObjectAbs(int index)` Get an item from given absolute index as an object.
    `float` | `getReal()`
    `float` | `getReal(int... pos)`
    `float` | `getReal(int i)`
    `float` | `getReal(int i, int j)`
    `FloatDataset` | `getRealPart()`
    `FloatDataset` | `getRealView()`
    `ComplexFloatDataset` | `getSlice(SliceIterator siter)` Get a slice of the dataset.
    `String` | `getStringAbs(int index)` Get an item from given absolute index as a string.
    `ComplexFloatDataset` | `getView(boolean deepCopyMetadata)`
    `ComplexFloatDataset` | `iadd(Object b)` In-place addition
    `ComplexFloatDataset` | `idivide(Object b)` In-place division
    `ComplexFloatDataset` | `imultiply(Object b)` In-place multiplication
    `ComplexFloatDataset` | `ipower(Object b)` In-place raise to power of argument
    `ComplexFloatDataset` | `iremainder(Object b)` In-place remainder of division
    `boolean` | `isComplex()`
    `ComplexFloatDataset` | `isubtract(Object b)` In-place subtraction
    `Number` | `max(boolean... switches)`
    `int[]` | `maxPos(boolean... switches)`
    `Object` | `mean(boolean... switches)`
    `Number` | `min(boolean... switches)`
    `int[]` | `minPos(boolean... switches)`
    `double` | `residual(Object b, Dataset w, boolean ignoreNaNs)` Calculate residual of dataset with object and weight.
    `void` | `set(float dr, float di, int... pos)` Set real and imaginary values at given position
    `void` | `set(float dr, float di, int i)` Set real and imaginary values at given position
    `void` | `set(float dr, float di, int i, int j)` Set real and imaginary values at given position
    `void` | `set(Object obj, int... pos)` Set the value given by object at given position
    `void` | `set(Object obj, int i)` Set the value given by object at given position.
    `void` | `set(Object obj, int i, int j)` Set the value given by object at given position.
    `void` | `setAbs(int index, org.apache.commons.math3.complex.Complex val)` Set values at absolute index in the internal array.
    `void` | `setAbs(int index, float real, float imag)` Set item at index to complex value given by real and imaginary parts
    `void` | `setObjectAbs(int index, Object obj)` Set an item at absolute index from an object.
    `ComplexFloatDataset` | `setSlice(Object o, IndexIterator siter)`
    `Object` | `sum(boolean... switches)`

    - ### Methods inherited from class org.eclipse.january.dataset.CompoundFloatDataset

      `asNonCompoundDataset, containsInfs, containsInvalidNumbers, containsNans, copyElements, copyItemsFromAxes, createArray, createCompoundDatasetWithLastDimension, createFromObject, equals, fillDataset, getAbs, getAbs, getBufferLength, getByteArray, getByteArray, getByteArray, getByteArray, getData, getDoubleArray, getDoubleArray, getDoubleArray, getDoubleArray, getDoubleArrayAbs, getElementBooleanAbs, getElementDoubleAbs, getElementLongAbs, getElements, getElementsView, getFirstValue, getFirstValue, getFirstValue, getFirstValue, getFloatArray, getFloatArray, getFloatArray, getFloatArray, getIntArray, getIntArray, getIntArray, getIntArray, getLongArray, getLongArray, getLongArray, getLongArray, getShortArray, getShortArray, getShortArray, getShortArray, getString, getString, getString, getString, hashCode, ifloor, resize, set, setAbs, setAbs, setBy1DIndex, setByBoolean, setByIndexes, setData, setElements, setItem, setItem, setItem, setItem, setItemDirect, setItemsOnAxes`

    - ### Methods inherited from class org.eclipse.january.dataset.AbstractCompoundDataset

      `argMax, argMin, cast, cast, flatten, get1DIndex, get1DIndex, get1DIndexFromShape, getBoolean, getBoolean, getBoolean, getBoolean, getBroadcastView, getBy1DIndex, getByBoolean, getByIndexes, getByte, getByte, getByte, getByte, getCompoundStats, getDouble, getDouble, getDouble, getDouble, getDoubleArray, getDoubleArray, getDoubleArray, getDoubleArray, getElementsPerItem, getError, getError, getError, getErrorArray, getErrorArray, getErrorArray, getErrors, getFloat, getFloat, getFloat, getFloat, getInt, getInt, getInt, getInt, getIterator, getIterator, getLong, getLong, getLong, getLong, getShort, getShort, getShort, getShort, getSlice, getSlice, getSlice, getSlice, getSlice, getSlice, getSliceView, getSliceView, getSliceView, getTransposedView, getUniqueItems, ifloorDivide, internalGetSliceIterator, max, maxItem, mean, min, minItem, peakToPeak, product, reshape, rootMeanSquare, rootMeanSquare, setSlice, setSlice, sort, squeeze, squeeze, squeezeEnds, stdDeviation, stdDeviation, sum, swapAxes, synchronizedCopy, transpose, variance, variance, variance`

    - ### Methods inherited from class org.eclipse.january.dataset.AbstractDataset

      `all, all, any, any, argMax, argMin, calcSteps, cast, cast, checkAxis, checkAxis, checkCompatibility, copy, copy, copyToView, count, count, count, createStrides, createStrides, createStrides, createStrides, fillData, get1DIndex, get1DIndexFromShape, getBooleanIterator, getBooleanIterator, getBuffer, getDType, getElementClass, getError, getErrorBuffer, getFirst1DIndex, getIndices, getInternalSquaredError, getItemBytes, getIterator, getMaxLineLength, getNbytes, getNDPosition, getOffset, getPositionIterator, getRank, getShape, getShapeRef, getSize, getSliceIterator, getSliceIterator, getSliceIteratorFromAxes, getStats, getStrides, getStringStats, hasFloatingPointElements, isCompatibleWith, max, mean, min, overrideInternal, peakToPeak, peakToPeak, product, product, residual, residual, rootMeanSquare, setErrorBuffer, setMaxLineLength, setShape, setSlice, setStringFormat, stdDeviation, stdDeviation, stdDeviation, stdDeviation, sum, toString, toString, variance, variance, variance`

    - ### Methods inherited from class org.eclipse.january.dataset.LazyDatasetBase

      `addMetadata, checkPermutatedAxes, checkSliceND, clearMetadata, copyMetadata, copyMetadata, createFromSerializable, dirtyMetadata, findMetadataTypeSubInterfaces, getErrorMetadata, getFirstMetadata, getMetadata, getMetadata, getMetadataMap, getName, hasErrors, reshapeMetadata, restoreMetadata, setDirty, setErrors, setMetadata, setName, sliceMetadata, transposeMetadata`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.january.dataset.Dataset

      `all, all, any, any, argMax, argMin, cast, cast, checkAxis, checkCompatibility, copy, copy, count, count, count, get1DIndex, getBooleanIterator, getBooleanIterator, getBuffer, getDType, getError, getErrorBuffer, getIndices, getIterator, getNbytes, getNDPosition, getOffset, getPositionIterator, getShapeRef, getSliceIterator, getSliceIterator, getSliceIteratorFromAxes, getStrides, hasFloatingPointElements, isCompatibleWith, max, mean, min, overrideInternal, peakToPeak, peakToPeak, product, product, residual, residual, rootMeanSquare, setDirty, setErrorBuffer, setSlice, stdDeviation, stdDeviation, stdDeviation, stdDeviation, sum, toString, variance, variance, variance`

    - ### Methods inherited from interface org.eclipse.january.dataset.IDataset

      `getItemBytes, getMetadata, setStringFormat`

    - ### Methods inherited from interface org.eclipse.january.dataset.ILazyDataset

      `addMetadata, clearMetadata, getElementClass, getRank, getShape, getSize, hasErrors, setErrors, setMetadata, setShape`

    - ### Methods inherited from interface org.eclipse.january.dataset.IMetadataProvider

      `getFirstMetadata, getMetadata`

    - ### Methods inherited from interface org.eclipse.january.INameable

      `getName, setName`

- - ### Method Detail

    - #### clone

          public ComplexFloatDataset clone()

      Description copied from interface: `ILazyDataset`
      Clone dataset
      Specified by:
        `clone` in interface `CompoundDataset`
      Specified by:
        `clone` in interface `Dataset`
      Specified by:
        `clone` in interface `IDataset`
      Specified by:
        `clone` in interface `ILazyDataset`
      Overrides:
        `clone` in class `CompoundFloatDataset`
      Returns:
        a (shallow) copy of dataset

    - #### isComplex

          public boolean isComplex()

      Specified by:
        `isComplex` in interface `Dataset`
      Overrides:
        `isComplex` in class `AbstractDataset`
      Returns:
        true if dataset is complex

    - #### fill

          public ComplexFloatDataset fill(Object obj)

      Description copied from interface: `Dataset`
      Fill dataset with given object
      Specified by:
        `fill` in interface `CompoundDataset`
      Specified by:
        `fill` in interface `Dataset`
      Overrides:
        `fill` in class `CompoundFloatDataset`
      Parameters:
        `obj` - fill value
      Returns:
        filled dataset with each item being equal to the given object

    - #### getView

          public ComplexFloatDataset getView(boolean deepCopyMetadata)

      Specified by:
        `getView` in interface `CompoundDataset`
      Specified by:
        `getView` in interface `Dataset`
      Overrides:
        `getView` in class `CompoundFloatDataset`
      Parameters:
        `deepCopyMetadata` - if true then deep-copy metadata
      Returns:
        whole view of dataset (i.e. data buffer is shared)

    - #### getComplexAbs

          public org.apache.commons.math3.complex.Complex getComplexAbs(int index)

      Get complex value at absolute index in the internal array. This is an internal method with no checks so can be dangerous. Use with care or ideally with an iterator.
      Parameters:
        `index` - absolute index
      Returns:
        value

    - #### getObjectAbs

          public Object getObjectAbs(int index)

      Description copied from interface: `Dataset`
      Get an item from given absolute index as an object. See warning in interface doc
      Specified by:
        `getObjectAbs` in interface `Dataset`
      Overrides:
        `getObjectAbs` in class `CompoundFloatDataset`
      Parameters:
        `index` - in array
      Returns:
        item

    - #### getStringAbs

          public String getStringAbs(int index)

      Description copied from interface: `Dataset`
      Get an item from given absolute index as a string. See warning in interface doc
      Specified by:
        `getStringAbs` in interface `Dataset`
      Overrides:
        `getStringAbs` in class `CompoundFloatDataset`
      Parameters:
        `index` - in array
      Returns:
        item

    - #### setAbs

          public void setAbs(int index,
                             org.apache.commons.math3.complex.Complex val)

      Set values at absolute index in the internal array. This is an internal method with no checks so can be dangerous. Use with care or ideally with an iterator.
      Parameters:
        `index` - absolute index
        `val` - new values

    - #### setObjectAbs

          public void setObjectAbs(int index,
                                   Object obj)

      Description copied from interface: `Dataset`
      Set an item at absolute index from an object. See warning in interface doc
      Specified by:
        `setObjectAbs` in interface `Dataset`
      Overrides:
        `setObjectAbs` in class `CompoundFloatDataset`
      Parameters:
        `index` - in array
        `obj` - value to set

    - #### setAbs

          public void setAbs(int index,
                             float real,
                             float imag)

      Set item at index to complex value given by real and imaginary parts
      Parameters:
        `index` - absolute index
        `real` - real part
        `imag` - imaginary part

    - #### get

          public org.apache.commons.math3.complex.Complex get()

      Returns:
        item in first position
      Since:
        2.0

    - #### get

          public org.apache.commons.math3.complex.Complex get(int i)

      Parameters:
        `i` - position in first dimension
      Returns:
        item in given position

    - #### get

          public org.apache.commons.math3.complex.Complex get(int i,
                                                              int j)

      Parameters:
        `i` - position in first dimension
        `j` - position in second dimension
      Returns:
        item in given position

    - #### get

          public org.apache.commons.math3.complex.Complex get(int... pos)

      Parameters:
        `pos` - position
      Returns:
        item in given position

    - #### getObject

          public Object getObject()

      Description copied from interface: `Dataset`
      Get first item as an object. The dataset must not be null
      Specified by:
        `getObject` in interface `Dataset`
      Overrides:
        `getObject` in class `CompoundFloatDataset`
      Returns:
        item

    - #### getObject

          public Object getObject(int i)

      Description copied from interface: `Dataset`
      Get an item from given position as an object. The dataset must be 1D
      Specified by:
        `getObject` in interface `Dataset`
      Overrides:
        `getObject` in class `CompoundFloatDataset`
      Parameters:
        `i` - position in first dimension
      Returns:
        item

    - #### getObject

          public Object getObject(int i,
                                  int j)

      Description copied from interface: `Dataset`
      Get an item from given position as an object. The dataset must be 2D
      Specified by:
        `getObject` in interface `Dataset`
      Overrides:
        `getObject` in class `CompoundFloatDataset`
      Parameters:
        `i` - position in first dimension
        `j` - position in second dimension
      Returns:
        item

    - #### getObject

          public Object getObject(int... pos)

      Specified by:
        `getObject` in interface `IDataset`
      Overrides:
        `getObject` in class `CompoundFloatDataset`
      Parameters:
        `pos` - position
      Returns:
        Item in given position as an object

    - #### getReal

          public float getReal()

      Returns:
        item in first position
      Since:
        2.0

    - #### getReal

          public float getReal(int i)

      Parameters:
        `i` - position in first dimension
      Returns:
        item in given position

    - #### getReal

          public float getReal(int i,
                               int j)

      Parameters:
        `i` - position in first dimension
        `j` - position in second dimension
      Returns:
        item in given position

    - #### getReal

          public float getReal(int... pos)

      Parameters:
        `pos` - position
      Returns:
        item in given position

    - #### getImag

          public float getImag()

      Returns:
        item in first position
      Since:
        2.0

    - #### getImag

          public float getImag(int i)

      Parameters:
        `i` - position in first dimension
      Returns:
        item in given position

    - #### getImag

          public float getImag(int i,
                               int j)

      Parameters:
        `i` - position in first dimension
        `j` - position in second dimension
      Returns:
        item in given position

    - #### getImag

          public float getImag(int... pos)

      Parameters:
        `pos` - position
      Returns:
        item in given position

    - #### getComplex

          public org.apache.commons.math3.complex.Complex getComplex()

      Returns:
        item in first position
      Since:
        2.0

    - #### getComplex

          public org.apache.commons.math3.complex.Complex getComplex(int i)

      Parameters:
        `i` - position in first dimension
      Returns:
        item in given position

    - #### getComplex

          public org.apache.commons.math3.complex.Complex getComplex(int i,
                                                                     int j)

      Parameters:
        `i` - position in first dimension
        `j` - position in second dimension
      Returns:
        item in given position

    - #### getComplex

          public org.apache.commons.math3.complex.Complex getComplex(int... pos)

      Parameters:
        `pos` - position
      Returns:
        item in given position

    - #### set

          public void set(Object obj,
                          int i)

      Description copied from interface: `Dataset`
      Set the value given by object at given position. The dataset must be 1D
      Specified by:
        `set` in interface `Dataset`
      Overrides:
        `set` in class `CompoundFloatDataset`
      Parameters:
        `obj` - value to set
        `i` - position in first dimension

    - #### set

          public void set(Object obj,
                          int i,
                          int j)

      Description copied from interface: `Dataset`
      Set the value given by object at given position. The dataset must be 2D
      Specified by:
        `set` in interface `Dataset`
      Overrides:
        `set` in class `CompoundFloatDataset`
      Parameters:
        `obj` - value to set
        `i` - position in first dimension
        `j` - position in second dimension

    - #### set

          public void set(Object obj,
                          int... pos)

      Description copied from interface: `IDataset`
      Set the value given by object at given position
      Specified by:
        `set` in interface `IDataset`
      Overrides:
        `set` in class `CompoundFloatDataset`
      Parameters:
        `obj` - value to set
        `pos` - position

    - #### set

          public void set(float dr,
                          float di,
                          int i)

      Set real and imaginary values at given position
      Parameters:
        `dr` - real part
        `di` - imaginary part
        `i` - position in first dimension

    - #### set

          public void set(float dr,
                          float di,
                          int i,
                          int j)

      Set real and imaginary values at given position
      Parameters:
        `dr` - real part
        `di` - imaginary part
        `i` - position in first dimension
        `j` - position in second dimension

    - #### set

          public void set(float dr,
                          float di,
                          int... pos)

      Set real and imaginary values at given position
      Parameters:
        `dr` - real part
        `di` - imaginary part
        `pos` - position
      Since:
        2.0

    - #### getRealPart

          public FloatDataset getRealPart()

      Specified by:
        `getRealPart` in interface `Dataset`
      Overrides:
        `getRealPart` in class `AbstractDataset`
      Returns:
        real part of dataset (if necessary, as new dataset)
      Since:
        2.0

    - #### getRealView

          public FloatDataset getRealView()

      Specified by:
        `getRealView` in interface `Dataset`
      Overrides:
        `getRealView` in class `AbstractDataset`
      Returns:
        real part of dataset as a view
      Since:
        2.0

    - #### getImaginaryPart

          public FloatDataset getImaginaryPart()

      Returns:
        imaginary part of dataset as new dataset
      Since:
        2.0

    - #### getImaginaryView

          public FloatDataset getImaginaryView()

      Returns:
        view of imaginary values

    - #### max

          public Number max(boolean... switches)

      Specified by:
        `max` in interface `IDataset`
      Overrides:
        `max` in class `AbstractCompoundDataset`
      Parameters:
        `switches` - - Can be null, empty, or one or more booleans. By default, all booleans are false. If the first boolean is true, will ignore NaNs and ignore infinities. Use the second boolean to ignore infinities separately.
      Returns:
        Maximum value

    - #### min

          public Number min(boolean... switches)

      Specified by:
        `min` in interface `IDataset`
      Overrides:
        `min` in class `AbstractCompoundDataset`
      Parameters:
        `switches` - - see `IDataset.max(boolean...)`
      Returns:
        Minimum value

    - #### sum

          public Object sum(boolean... switches)

      Specified by:
        `sum` in interface `Dataset`
      Overrides:
        `sum` in class `AbstractCompoundDataset`
      Parameters:
        `switches` - - see `IDataset.max(boolean...)`
      Returns:
        sum over all items in dataset as a Double, array of doubles or a complex number

    - #### mean

          public Object mean(boolean... switches)

      Specified by:
        `mean` in interface `IDataset`
      Overrides:
        `mean` in class `AbstractCompoundDataset`
      Parameters:
        `switches` - - see `IDataset.max(boolean...)`
      Returns:
        mean of all items in dataset as a double, array of doubles or a complex number

    - #### maxPos

          public int[] maxPos(boolean... switches)

      Specified by:
        `maxPos` in interface `IDataset`
      Overrides:
        `maxPos` in class `AbstractCompoundDataset`
      Parameters:
        `switches` - - see `IDataset.max(boolean...)`
      Returns:
        Position of maximum value (or first position if there are more than one)

    - #### minPos

          public int[] minPos(boolean... switches)

      Specified by:
        `minPos` in interface `IDataset`
      Overrides:
        `minPos` in class `AbstractCompoundDataset`
      Parameters:
        `switches` - - see `IDataset.max(boolean...)`
      Returns:
        Position of minimum value (or first position if there are more than one)

    - #### getSlice

          public ComplexFloatDataset getSlice(SliceIterator siter)

      Description copied from class: `AbstractDataset`
      Get a slice of the dataset. The returned dataset is a copied selection of items
      Overrides:
        `getSlice` in class `CompoundFloatDataset`
      Parameters:
        `siter` - Slice iterator
      Returns:
        The dataset of the sliced data

    - #### setSlice

          public ComplexFloatDataset setSlice(Object o,
                                              IndexIterator siter)

      Specified by:
        `setSlice` in interface `CompoundDataset`
      Specified by:
        `setSlice` in interface `Dataset`
      Overrides:
        `setSlice` in class `CompoundFloatDataset`
      Parameters:
        `o` - specifies the object used to set the specified slice
        `siter` - specifies the slice iterator
      Returns:
        this

    - #### iadd

          public ComplexFloatDataset iadd(Object b)

      Description copied from interface: `Dataset`
      In-place addition
      Specified by:
        `iadd` in interface `CompoundDataset`
      Specified by:
        `iadd` in interface `Dataset`
      Overrides:
        `iadd` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
      Returns:
        sum dataset

    - #### isubtract

          public ComplexFloatDataset isubtract(Object b)

      Description copied from interface: `Dataset`
      In-place subtraction
      Specified by:
        `isubtract` in interface `CompoundDataset`
      Specified by:
        `isubtract` in interface `Dataset`
      Overrides:
        `isubtract` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
      Returns:
        difference dataset

    - #### imultiply

          public ComplexFloatDataset imultiply(Object b)

      Description copied from interface: `Dataset`
      In-place multiplication
      Specified by:
        `imultiply` in interface `CompoundDataset`
      Specified by:
        `imultiply` in interface `Dataset`
      Overrides:
        `imultiply` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
      Returns:
        product dataset

    - #### idivide

          public ComplexFloatDataset idivide(Object b)

      Description copied from interface: `Dataset`
      In-place division
      Specified by:
        `idivide` in interface `CompoundDataset`
      Specified by:
        `idivide` in interface `Dataset`
      Overrides:
        `idivide` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
      Returns:
        dividend dataset

    - #### iremainder

          public ComplexFloatDataset iremainder(Object b)

      Description copied from interface: `Dataset`
      In-place remainder of division
      Specified by:
        `iremainder` in interface `CompoundDataset`
      Specified by:
        `iremainder` in interface `Dataset`
      Overrides:
        `iremainder` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
      Returns:
        remaindered dataset

    - #### ipower

          public ComplexFloatDataset ipower(Object b)

      Description copied from interface: `Dataset`
      In-place raise to power of argument
      Specified by:
        `ipower` in interface `CompoundDataset`
      Specified by:
        `ipower` in interface `Dataset`
      Overrides:
        `ipower` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
      Returns:
        raised dataset

    - #### residual

          public double residual(Object b,
                                 Dataset w,
                                 boolean ignoreNaNs)

      Description copied from interface: `Dataset`
      Calculate residual of dataset with object and weight. The weight is used to multiply the squared differences
      Specified by:
        `residual` in interface `Dataset`
      Overrides:
        `residual` in class `CompoundFloatDataset`
      Parameters:
        `b` - object to use
        `w` - to use
        `ignoreNaNs` - if true, skip NaNs
      Returns:
        sum of the squares of the differences

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.